/*
 * Class EV_SHARED_GDI_OBJECTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_480 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_480 [] = {0xFF01,1551,479,0xFFFF};
static const EIF_TYPE_INDEX egt_2_480 [] = {0xFF01,479,0xFFFF};
static const EIF_TYPE_INDEX egt_3_480 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_480 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_480 [] = {0xFF01,479,0xFFFF};
static const EIF_TYPE_INDEX egt_6_480 [] = {0xFF01,479,0xFFFF};
static const EIF_TYPE_INDEX egt_7_480 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_480 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_480 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_480 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_480 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_480 [] = {0xFF01,479,0xFFFF};
static const EIF_TYPE_INDEX egt_13_480 [] = {0xFF01,599,0xFFFF};
static const EIF_TYPE_INDEX egt_14_480 [] = {0xFF01,600,0xFFFF};


static const struct desc_info desc_480[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_480), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_480), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_480), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_480), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_480), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_480), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_480), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_480), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_480), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_480), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_480), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_480), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x03BF /*479*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_480), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_480), 8119, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_480), 8120, 0xFFFFFFFF},
};
void Init480(void)
{
	IDSC(desc_480, 0, 479);
	IDSC(desc_480 + 1, 1, 479);
	IDSC(desc_480 + 32, 1029, 479);
}


#ifdef __cplusplus
}
#endif
